<bugID>1057166<Summary>Move FHR reporting of keyword searches out of nsDefaultURIFixup.getFixupURIInfo()</Summary><Description>Since bug 693808 introduced nsDefaultURIFixup.getFixupURIInfo(), we've been using what used to be createFixupURI() for things other than navigation (see also bug 951624). Unfortunately, there's a FHR probe in there for keyword searches - and the assumptions behind the placement of that are now invalid.

That probe should be moved out into consumers of the getFixupURIInfo() API, where we know that a keyword search is actually being used.</Description></bugID>